Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://apigw.bienport.com/api/user/update-password \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --header 'OrganizationId: <organizationid>' \ --data ' { "oldPassword": "123qweasdzx", "password1": "123qweasdzx", "password2": "123qweasdzx", "userId": 12343123 } '
{ "userId": 123, "instanceId": 123, "instanceName": "<string>", "firstName": "<string>", "middleName": "<string>", "lastName": "<string>", "emailAddressVerified": true, "status": 123, "nationalId": 123, "screenName": "<string>", "emailAddress": "<string>", "timeZoneId": "<string>", "localeId": "<string>", "organizations": [ { "name": "<string>", "id": 123 } ], "organizationIds": [ 123 ], "roles": [ { "roleId": 123, "roleName": "<string>", "type": 123, "inherited": true, "typePK": 123, "typeName": "<string>" } ], "resources": [ { "resourceId": 123, "networkId": "<string>", "resourceName": "<string>", "enabled": true, "modelName": "<string>", "brandName": "<string>", "treePath": "<string>", "orgId": 123, "resourceSensors": [ { "type": "<string>", "sensors": [ { "id": 123, "resourceId": 123, "orderNo": 123, "trueValue": "<string>", "falseValue": "<string>", "partitions": [ { "name": "<string>", "no": 123 } ], "sensorId": 123, "description": "<string>", "hardwareSerialNumber": "<string>", "sensorName": "<string>" } ] } ], "resourceControllers": [ { "hardwareSerialNumber": "<string>", "id": 123, "resourceId": 123, "orderNo": 123, "trueValue": "<string>", "falseValue": "<string>", "description": "<string>", "controllerName": "<string>", "controllerId": 123, "partitions": [ { "name": "<string>", "no": 123 } ] } ], "resourceSubscriptionId": 123, "subscriptionDocumentNo": "<string>", "deviceSubType": "<string>" } ] }
Access Token
Organization ID
passwordUpdateRequest
Password Update Request Model
Old Password
"123qweasdzx"
New Password
Repeat New Password
User Id
12343123
User.
User response model
Show child attributes
Was this page helpful?